import createFetch, { ResponseDataEntity } from './index';
import { CUSTOMER_SERVER_URL } from '../constants/index';

const fetch = createFetch(CUSTOMER_SERVER_URL);

export class AllParams {
  /** 会员id */
  customerId: number;
  /** 最后一页最后一条订单ID */
  lastOrderId?: number;
  /** 每页条数 */
  pageSize?: number;
}

export const fetchAllOrder = (params: AllParams) =>
  fetch({
    url: '/consumeOrder/pageAllList',
    data: params,
  });

export const fetchOrder = (params: AllParams) =>
  fetch({
    url: '/consumeOrder/pageList',
    data: {
      ...params,
      orderState: 1,
    },
  });

type DetailParams = {
  id: number;
};
export const fetchOrderDetail = (data: DetailParams) =>
  fetch({
    url: '/consumeOrder/getDetail',
    data: data,
  });
