import { ComponentClass } from 'react';
import Taro, { Component } from '@tarojs/taro';
import { View, Image, Text } from '@tarojs/components';

import UserBoxBg from '../../images/home/img_bg@2x.png';
import ArrowIcon from '../../images/home/icon_dingdan@2x.png';
import HairDryerBg from '../../images/home/img_chuifeng_bg@2x.png';
import HairDryerArr from '../../images/home/icon_chuifeng_right@2x.png';
import AnnouncementBg from '../../images/home/img_gonggao_bg@2x.png';
import MoreIcon from '../../images/home/icon_more_right@2x.png';
import SettingIcon from '../../images/home/icon_shezhi@2x.png';
import HBeanIcon from '../../images/home/icon_chuifengdou@2x.png';
import TBeanIcon from '../../images/home/icon_tongyongdou@2x.png';
import UserHeaderM from '../../images/home/img_boy_touxiang@2x.png';
import UserHeaderF from '../../images/home/img_girl_touxiang@2x.png';

import './Home.scss';

class Home extends Component {
  goSetting() {
    Taro.navigateTo({
      url: '/pages/UserSetting/UserSetting',
    });
  }
  goAnn() {
    Taro.navigateTo({
      url: '/pages/Announcement/Announcement',
    });
  }

  goOrder() {
    Taro.navigateTo({
      url: '/pages/Order/OrderList/OrderList',
    });
  }

  render() {
    return (
      <View className='Home'>
        <View className='Home-UserBox'>
          <Image
            className='Home-UserBox-Setting'
            src={SettingIcon}
            onClick={this.goSetting}
          />
          <Image className='bg' src={UserBoxBg} />
          <View className='Home-UserBox-info'>
            <View className='Home-UserBox-other'>
              <View className='Home-UserBox-name'>中小</View>
              <View className='Home-UserBox-tel'>16878964216</View>
              <View className='Home-UserBox-addr'>成都师范学校-温江小区</View>
            </View>
            <Image className='Home-UserBox-headimg' src={UserHeaderM} />
          </View>
          <View className='Home-UserBox-line' />
          <View className='Home-UserBox-Bean'>
            <View className='Home-UserBox-BeanItem'>
              <Image className='Home-UserBox-BeanIcon' src={HBeanIcon} />
              <Text>吹风豆：</Text>
              <Text className='Home-UserBox-BeanCount'>2.35</Text>
            </View>
            <View className='Home-UserBox-BeanItem'>
              <Image className='Home-UserBox-BeanIcon' src={TBeanIcon} />
              <Text>通用豆：</Text>
              <Text className='Home-UserBox-BeanCount'>2.35</Text>
            </View>
          </View>
          <View className='Home-UserBox-Order'>
            <Text className='Home-UserBox-Order-text'>我的订单</Text>
            <View className='Home-UserBox-Order-right'>
              <Image className='Home-UserBox-Order-icon' src={ArrowIcon} />
            </View>
          </View>
        </View>
        <View className='Home-HairDryer'>
          <Image className='bg' src={HairDryerBg} />
          <View className='Home-HairDryer-shadow' />
          <View className='Home-HairDryer-text'>
            吹风
            <Image className='Home-HairDryer-arrow' src={HairDryerArr} />
          </View>
        </View>
        <View className='Home-Announcement'>
          <Image className='bg' src={AnnouncementBg} />
          <View className='Home-Announcement-title'>
            <Text>最新公告</Text>
            <View className='Home-Announcement-more' onClick={this.goAnn}>
              更多
              <Image className='more-icon' src={MoreIcon} />
            </View>
          </View>
          <View className='Home-Announcement-Content'>
            <Text>元宵节感恩回馈</Text>
            <Text className='ContentDate'>2019-02-22</Text>
          </View>
        </View>
      </View>
    );
  }
}

export default Home as ComponentClass;
