import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Button, Text, Input, Navigator } from '@tarojs/components';

import './Login.scss';

type PageState = {
  account: string;
  pwd: string;
};

interface Login {
  state: PageState;
}

class Login extends Component {
  config: Config = {
    navigationBarTitleText: '多彩校园',
  };

  constructor(props) {
    super(props);
    this.state = {
      account: '',
      pwd: '',
    };
  }

  loginHandle() {
    console.log('in loginHandle');
  }

  render() {
    return (
      <View className='Login'>
        <View className='Login-title'>欢迎来到多彩校园</View>
        <View>
          <Input
            className='Login-input'
            placeholder-class='Login-input-placeholder'
            placeholder='请输入账号手机号'
          />
          <Input
            className='Login-input'
            placeholder-class='Login-input-placeholder'
            password
            placeholder='请输入密码'
          />
        </View>

        <View className='Login-regist'>
          <View>
            还没有账号？
            <Navigator
              className='Login-regist-btn'
              url='/pages/Register/Register'>
              注册
            </Navigator>
          </View>
          <Navigator
            className='Login-regist-btn'
            url='/pages/ResetPwd/ResetPwd'>
            忘记密码
          </Navigator>
        </View>
        <Button className='Login-btn' onClick={this.loginHandle}>
          登录
        </Button>
      </View>
    );
  }
}

export default Login as ComponentClass<{}, PageState>;
